<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  // Variablen definieren
    global $db;
    global $prefix;
    global $Path;
    $ImportFehler = '0';
    $FileName = 'gigs.csv';
  // Datei checken
    if ( !$datei = fopen($Path."/".$FileName, 'r') )
       { echo 'Error: File not Found! ('.$FileName.')<br /><br />'; }
    else
    {
      // Alte Datensätze löschen
        if ( $_SESSION["ImportOverwriteGigs"] )
        {
          $SQL_Befehl = "DELETE FROM ".$prefix."gigs";
          $resultat = mysqli_query($db, $SQL_Befehl);
          if ( $resultat ) { echo $L_Old_gigs_were_deleted.'<br />'; }
          else  { echo '<span class="ErrorMessage">'.$_ERROR_Old_gigs_NOT_deleted.'</span><br />'; }
        }
      // Datensätze importieren
        include ('functions/import/'.$Version.'/gigs.php');
    }
    if ( $ImportFehler=='0' ) { echo $L_Gigs_successfully_imported.'<br />'; }
    else { echo '<span class="ErrorMessage">'.$L_ERROR_Gigs_NOT_imported.' ('.$ImportFehler.')</span><br />'; }
  echo '<br />';
  clearCache();
?>
